import React from "react";
import {G, Path, Symbol, Rect} from "react-native-svg";

export const Icons = {
    calendar: ({color}) => <Symbol id="icon" viewBox="0 0 299.063 299.063">
        <Path
            d="M258.343 26.972H40.72c-19.202 0-34.769 15.567-34.769 34.769v202.553c0 19.202 15.567 34.769 34.769 34.769h217.623c19.202 0 34.769-15.567 34.769-34.769V61.741c0-19.203-15.567-34.769-34.769-34.769z"
            fill="#ebf0f3"
        />
        <Path
            d="M293.112 92.299V50.171c0-19.202-15.567-34.769-34.769-34.769H40.72c-19.202 0-34.769 15.567-34.769 34.769v42.128z"
            fill="#ce412d"
        />
        <Path
            d="M293.112 100.159V61.741c0-19.202-15.567-34.769-34.769-34.769H40.72c-19.202 0-34.769 15.567-34.769 34.769v38.418z"
            fill="#e56353"
        />
        <Path
            d="M62.902 45.645c-6.702 0-12.135 5.433-12.135 12.135S56.2 69.914 62.902 69.914s12.134-5.433 12.134-12.134c.001-6.702-5.432-12.135-12.134-12.135z"
            fill="#d15241"
        />
        <Path
            d="M62.902 0a6.493 6.493 0 00-6.492 6.492v50.581a6.492 6.492 0 1012.984 0V6.492A6.492 6.492 0 0062.902 0z"
            fill="#4d5c7d"
        />
        <Path
            d="M120.655 45.645c-6.702 0-12.135 5.433-12.135 12.135s5.433 12.134 12.135 12.134 12.134-5.433 12.134-12.134c.001-6.702-5.432-12.135-12.134-12.135z"
            fill="#d15241"
        />
        <Path
            d="M120.655 0a6.493 6.493 0 00-6.492 6.492v50.581a6.492 6.492 0 1012.984 0V6.492A6.493 6.493 0 00120.655 0z"
            fill="#4d5c7d"
        />
        <Path
            d="M178.408 45.645c-6.702 0-12.135 5.433-12.135 12.135s5.433 12.134 12.135 12.134 12.134-5.433 12.134-12.134c0-6.702-5.432-12.135-12.134-12.135z"
            fill="#d15241"
        />
        <Path
            d="M178.408 0a6.493 6.493 0 00-6.492 6.492v50.581a6.492 6.492 0 1012.984 0V6.492A6.493 6.493 0 00178.408 0z"
            fill="#4d5c7d"
        />
        <Path
            d="M236.161 45.645c-6.702 0-12.135 5.433-12.135 12.135s5.433 12.134 12.135 12.134 12.134-5.433 12.134-12.134c0-6.702-5.433-12.135-12.134-12.135z"
            fill="#d15241"
        />
        <Path
            d="M236.16 0a6.493 6.493 0 00-6.492 6.492v50.581a6.492 6.492 0 1012.984 0V6.492A6.492 6.492 0 00236.16 0z"
            fill="#4d5c7d"
        />
        <G fill="#e56353">
            <Path d="M111.907 148.197h26.245v26.245h-26.245zM160.911 148.197h26.245v26.245h-26.245zM209.916 148.197h26.245v26.245h-26.245zM62.902 189.34h26.245v26.245H62.902zM111.907 189.34h26.245v26.245h-26.245zM160.911 189.34h26.245v26.245h-26.245zM209.916 189.34h26.245v26.245h-26.245zM62.902 230.483h26.245v26.245H62.902zM111.907 230.483h26.245v26.245h-26.245zM160.911 230.483h26.245v26.245h-26.245z" />
        </G>
    </Symbol>,
    ticket: ({color}) => <Symbol id="icon" viewBox="0 0 22.676 19.5">
        <Path d="M15.51 6.637l.53-.529.529.53-.53.529zm0 0M14.45 5.578l.53-.529.529.529-.529.529zm0 0M13.391 4.52l.53-.529.529.529-.529.529zm0 0M17.628 8.756l.53-.529.529.529-.529.529zm0 0M16.568 7.696l.529-.53.53.529-.529.53zm0 0M12.136 13.686a.375.375 0 01-.333-.2l-.676-1.326-1.47.232a.374.374 0 01-.324-.636l1.052-1.052-.674-1.326a.374.374 0 01.5-.5l1.327.674 1.052-1.053a.374.374 0 01.637.323l-.238 1.474 1.326.676a.374.374 0 01-.112.7l-1.47.233-.231 1.47a.374.374 0 01-.311.311.351.351 0 01-.055 0zm-.8-2.319a.375.375 0 01.334.2l.276.542.1-.6a.375.375 0 01.311-.311l.6-.1-.542-.276a.374.374 0 01-.2-.392l.1-.6-.429.43a.374.374 0 01-.435.068l-.542-.276.276.542a.374.374 0 01-.069.435l-.43.431.6-.1a.352.352 0 01.051.012zm0 0"
        />
        <Path d="M22.347 5.623L20.494 3.77l-.265.265a1.123 1.123 0 11-1.588-1.588l.265-.265L17.052.33a1.123 1.123 0 00-1.589 0L14.14 1.652l-.794-.794a1.123 1.123 0 00-1.589 0L.329 12.287a1.123 1.123 0 000 1.589l1.853 1.854.265-.265a1.15 1.15 0 011.589 0 1.123 1.123 0 010 1.588l-.265.265 1.853 1.854a1.123 1.123 0 001.588 0l1.324-1.324.794.794a1.123 1.123 0 001.588 0l11.429-11.43a1.123 1.123 0 000-1.589zM6.682 18.641a.374.374 0 01-.53 0L4.8 17.29a1.872 1.872 0 00-2.595-2.595l-1.35-1.35a.374.374 0 010-.529L12.287 1.387a.374.374 0 01.53 0l.794.794-9.576 9.577a1.123 1.123 0 000 1.588l1.853 1.853.265-.265a1.123 1.123 0 111.588 1.588l-.265.265.53.529zM21.818 6.682L10.389 18.111a.374.374 0 01-.529 0l-1.35-1.35a1.872 1.872 0 00-2.594-2.594l-1.35-1.35a.374.374 0 010-.529L15.993.858a.374.374 0 01.53 0l1.35 1.348A1.872 1.872 0 0020.467 4.8l1.351 1.351a.375.375 0 010 .529zm0 0"
            fill="#102654"
        />
    </Symbol>,
    top_right: ({color}) => <Symbol id="icon" viewBox="0 0 42 41">
        <Path d="M2.137.5H21a20.43 20.43 0 0114.496 6.004A20.43 20.43 0 0141.5 21V39.798l-.409.076a37.445 37.445 0 01-6.832.626c-4.551 0-8.967-.806-13.125-2.395-4.018-1.537-7.628-3.737-10.728-6.54C7.3 28.76 4.864 25.493 3.16 21.852A27.91 27.91 0 01.5 9.938c0-3.103.512-6.165 1.521-9.1L2.137.5z" />
        <Path
            d="M2.494 1A27.41 27.41 0 001 9.938C1 26.54 15.89 40 34.259 40c2.31 0 4.564-.213 6.741-.618V21C41 9.954 32.046 1 21 1H2.494m-.713-1H21a20.928 20.928 0 0114.85 6.15 20.928 20.928 0 016.149 14.85v19.213l-.817.152a37.947 37.947 0 01-6.924.635c-4.613 0-9.088-.817-13.303-2.428-4.077-1.559-7.74-3.791-10.886-6.635-3.153-2.85-5.63-6.173-7.363-9.874A28.406 28.406 0 010 9.938C0 6.78.52 3.663 1.549.675L1.78 0z"
            fill="#c6cfd9"
        />
    </Symbol>,
};
